Bug 54683 - RPM 4 understnds short rpm's names only
RPM 4 understnds short rpm's names only
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-16 05:46 EDT by Alec Voropay
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 05:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alec Voropay 2001-10-16 05:46:50 EDT
Description of Problem:
New version of RPM4 can understand only short names of
packet. In RPM3 it was possible to check all RPMs with:
$ rpm -qa | xargs rpm -V

New RPM4 requires short name of packet (without version
number) and this operation doesn't work.

Version-Release number of selected component (if applicable):
RPM4

How Reproducible:
in new version

Steps to Reproduce:
1. upgrade to new RPM4
2. 
3. 

Actual Results:


Expected Results:
RPM4 should understand short AND full name of package

Additional Information:
Comment 1 Jeff Johnson 2001-10-23 16:28:59 EDT
I believe this problem was fixed by doing rpm --rebuilddb to
convert from db1 -> db3 format.
Comment 2 Alec Voropay 2001-11-20 04:57:22 EST
YES. This works again in RedHat 7.2 with rpm-4.0.3-1.03
$ rpm -qa | xargs rpm -V

Note You need to log in before you can comment on or make changes to this bug.